set terminal png notransparent crop enhanced size 800,600 font "arial,14"
set grid xtics ytics mytics
set key out vert center top
set logscale y
set xlabel "nb elements"
set ylabel "elapsed time per element [ns/el]"
set output "calibrationMask2TSeqElapsedTimeCyEl.png"
plot "calibration_mask2t_seq_O1.txt" using 1:2:($2-$4):($2+$4) title "calibration mask2t seq O1" with yerrorlines lw 2,"calibration_mask2t_seq_O2.txt" using 1:2:($2-$4):($2+$4) title "calibration mask2t seq O2" with yerrorlines lw 2,"calibration_mask2t_seq_O3.txt" using 1:2:($2-$4):($2+$4) title "calibration mask2t seq O3" with yerrorlines lw 2,"calibration_mask2t_seq_Ofast.txt" using 1:2:($2-$4):($2+$4) title "calibration mask2t seq Ofast" with yerrorlines lw 2,
set xlabel "nb elements"
set ylabel "elapsed time [ns]"
set output "calibrationMask2TSeqElapsedTime.png"
plot "calibration_mask2t_seq_O1.txt" using 1:3:($3-$5):($3+$5) title "calibration mask2t seq O1" with yerrorlines lw 2,"calibration_mask2t_seq_O2.txt" using 1:3:($3-$5):($3+$5) title "calibration mask2t seq O2" with yerrorlines lw 2,"calibration_mask2t_seq_O3.txt" using 1:3:($3-$5):($3+$5) title "calibration mask2t seq O3" with yerrorlines lw 2,"calibration_mask2t_seq_Ofast.txt" using 1:3:($3-$5):($3+$5) title "calibration mask2t seq Ofast" with yerrorlines lw 2,
