set terminal png notransparent crop enhanced size 800,600 font "arial,14"
set grid xtics ytics mytics
set key out vert center top
set logscale y
set xlabel "nb elements"
set ylabel "elapsed time per element [ns/el]"
set output "calibrationMask3TUnseqVectorizeElapsedTimeCyEl.png"
plot "calibration_mask3t_unseq_O2.txt" using 1:2:($2-$4):($2+$4) title "calibration mask3t unseq O2" with yerrorlines lw 2,"calibration_mask3t_unseq_O3.txt" using 1:2:($2-$4):($2+$4) title "calibration mask3t unseq O3" with yerrorlines lw 2,"calibration_mask3t_unseq_Ofast.txt" using 1:2:($2-$4):($2+$4) title "calibration mask3t unseq Ofast" with yerrorlines lw 2,"calibration_mask3t_unseq_vectorize.txt" using 1:2:($2-$4):($2+$4) title "calibration mask3t unseq vectorize" with yerrorlines lw 2,"calibration_precomputed_modulo_unseq_vectorize.txt" using 1:2:($2-$4):($2+$4) title "calibration precomputed modulo unseq vectorize" with yerrorlines lw 2,"calibration_classic_vectorize.txt" using 1:2:($2-$4):($2+$4) title "calibration classic vectorize" with yerrorlines lw 2,
set xlabel "nb elements"
set ylabel "elapsed time [ns]"
set output "calibrationMask3TUnseqVectorizeElapsedTime.png"
plot "calibration_mask3t_unseq_O2.txt" using 1:3:($3-$5):($3+$5) title "calibration mask3t unseq O2" with yerrorlines lw 2,"calibration_mask3t_unseq_O3.txt" using 1:3:($3-$5):($3+$5) title "calibration mask3t unseq O3" with yerrorlines lw 2,"calibration_mask3t_unseq_Ofast.txt" using 1:3:($3-$5):($3+$5) title "calibration mask3t unseq Ofast" with yerrorlines lw 2,"calibration_mask3t_unseq_vectorize.txt" using 1:3:($3-$5):($3+$5) title "calibration mask3t unseq vectorize" with yerrorlines lw 2,"calibration_precomputed_modulo_unseq_vectorize.txt" using 1:3:($3-$5):($3+$5) title "calibration precomputed modulo unseq vectorize" with yerrorlines lw 2,"calibration_classic_vectorize.txt" using 1:3:($3-$5):($3+$5) title "calibration classic vectorize" with yerrorlines lw 2,
