set terminal png notransparent crop enhanced size 800,600 font "arial,14"
set grid xtics ytics mytics
set key out vert center top
set logscale y
set xlabel "nb elements"
set ylabel "elapsed time per element [ns/el]"
set output "calibrationMaskSummaryElapsedTimeCyEl.png"
plot "calibration_mask_seq_O1.txt" using 1:2:($2-$4):($2+$4) title "calibration mask seq O1" with yerrorlines lw 2,"calibration_mask_seq_O3.txt" using 1:2:($2-$4):($2+$4) title "calibration mask seq O3" with yerrorlines lw 2,"calibration_mask_unseq_O3.txt" using 1:2:($2-$4):($2+$4) title "calibration mask unseq O3" with yerrorlines lw 2,"calibration_mask_unseq_vectorize.txt" using 1:2:($2-$4):($2+$4) title "calibration mask unseq vectorize" with yerrorlines lw 2,
set xlabel "nb elements"
set ylabel "elapsed time [ns]"
set output "calibrationMaskSummaryElapsedTime.png"
plot "calibration_mask_seq_O1.txt" using 1:3:($3-$5):($3+$5) title "calibration mask seq O1" with yerrorlines lw 2,"calibration_mask_seq_O3.txt" using 1:3:($3-$5):($3+$5) title "calibration mask seq O3" with yerrorlines lw 2,"calibration_mask_unseq_O3.txt" using 1:3:($3-$5):($3+$5) title "calibration mask unseq O3" with yerrorlines lw 2,"calibration_mask_unseq_vectorize.txt" using 1:3:($3-$5):($3+$5) title "calibration mask unseq vectorize" with yerrorlines lw 2,
