set terminal png notransparent crop enhanced size 800,600 font "arial,14"
set grid xtics ytics mytics
set key out vert center top
set logscale y
set xlabel "nb elements"
set ylabel "elapsed time per element [ns/el]"
set output "calibrationVectorizeSummaryElapsedTimeCyEl.png"
plot "calibration_mask2_seq_O1.txt" using 1:2:($2-$4):($2+$4) title "calibration mask2 seq O1" with yerrorlines lw 2,"calibration_mask2_seq_O3.txt" using 1:2:($2-$4):($2+$4) title "calibration mask2 seq O3" with yerrorlines lw 2,"calibration_base_unseq_vectorize.txt" using 1:2:($2-$4):($2+$4) title "calibration base unseq vectorize" with yerrorlines lw 2,"calibration_mask_unseq_vectorize.txt" using 1:2:($2-$4):($2+$4) title "calibration mask unseq vectorize" with yerrorlines lw 2,"calibration_mask2_unseq_vectorize.txt" using 1:2:($2-$4):($2+$4) title "calibration mask2 unseq vectorize" with yerrorlines lw 2,"calibration_mask2t_unseq_vectorize.txt" using 1:2:($2-$4):($2+$4) title "calibration mask2t unseq vectorize" with yerrorlines lw 2,"calibration_precomputed_modulo_unseq_vectorize.txt" using 1:2:($2-$4):($2+$4) title "calibration precomputed modulo unseq vectorize" with yerrorlines lw 2,"calibration_classic_vectorize.txt" using 1:2:($2-$4):($2+$4) title "calibration classic vectorize" with yerrorlines lw 2,
set xlabel "nb elements"
set ylabel "elapsed time [ns]"
set output "calibrationVectorizeSummaryElapsedTime.png"
plot "calibration_mask2_seq_O1.txt" using 1:3:($3-$5):($3+$5) title "calibration mask2 seq O1" with yerrorlines lw 2,"calibration_mask2_seq_O3.txt" using 1:3:($3-$5):($3+$5) title "calibration mask2 seq O3" with yerrorlines lw 2,"calibration_base_unseq_vectorize.txt" using 1:3:($3-$5):($3+$5) title "calibration base unseq vectorize" with yerrorlines lw 2,"calibration_mask_unseq_vectorize.txt" using 1:3:($3-$5):($3+$5) title "calibration mask unseq vectorize" with yerrorlines lw 2,"calibration_mask2_unseq_vectorize.txt" using 1:3:($3-$5):($3+$5) title "calibration mask2 unseq vectorize" with yerrorlines lw 2,"calibration_mask2t_unseq_vectorize.txt" using 1:3:($3-$5):($3+$5) title "calibration mask2t unseq vectorize" with yerrorlines lw 2,"calibration_precomputed_modulo_unseq_vectorize.txt" using 1:3:($3-$5):($3+$5) title "calibration precomputed modulo unseq vectorize" with yerrorlines lw 2,"calibration_classic_vectorize.txt" using 1:3:($3-$5):($3+$5) title "calibration classic vectorize" with yerrorlines lw 2,
