# Requirements

- c++ compiler (tested with g++ >= 11 and clang 9,10)
- cmake > 3
- make
- gnuplot (only to plot the results of performance tests)

# Compilation and use

```sh
	$ cd FullCalibrationBench
	$ mkdir -p build
	$ cd build
	$ cmake .. -DCMAKE_INSTALL_PREFIX=/your/install/Path
	$ make -j `nproc`
	$ make run_all
	$ make plot_all
```

