#!/bin/bash

basePackageDirName="$1"
urlGitToPackage="$2"
CMAKE_INSTALL_PREFIX="$3"

git clone $urlGitToPackage
cd $basePackageDirName

mkdir -p build
cd build

cmake .. -DCMAKE_INSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}"
make -j `nproc`

make install -j `nproc`

